From 1d8a5f3bc35203642531d51e32d49eab7138781c Mon Sep 17 00:00:00 2001
From: NikolayS <github2@samokhvalov.com>
Date: Fri, 17 Mar 2017 06:55:06 +0300
Subject: [PATCH] violates unique constraint --> violates unique index, DOC

---
 doc/src/sgml/ref/insert.sgml | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/ref/insert.sgml b/doc/src/sgml/ref/insert.sgml
index 521216b..b43ab23 100644
--- a/doc/src/sgml/ref/insert.sgml
+++ b/doc/src/sgml/ref/insert.sgml
@@ -447,7 +447,11 @@ INSERT INTO <replaceable class="PARAMETER">table_name</replaceable> [ AS <replac
        <para>
         Explicitly specifies an arbiter
         <emphasis>constraint</emphasis> by name, rather than inferring
-        a constraint or index.
+        a constraint or index. Note that <literal>CREATE UNIQUE INDEX</literal>
+        creates only a unique index, not a unique constraint.
+        <literal>ON CONFLICT ON CONSTRAINT</literal> for unique constraints
+        can be used only when such a constraint is defined explicity
+        using <literal>ALTER TABLE ... ADD UNIQUE CONSTRAINT</literal>.
        </para>
       </listitem>
      </varlistentry>
@@ -492,7 +496,11 @@ INSERT INTO <replaceable class="PARAMETER">table_name</replaceable> [ AS <replac
      correctly when the underlying index is replaced by another more
      or less equivalent index in an overlapping way, for example when
      using <literal>CREATE UNIQUE INDEX ...  CONCURRENTLY</literal>
-     before dropping the index being replaced.
+     before dropping the index being replaced (moreover,
+     <literal>CREATE UNIQUE INDEX</literal> defines only a unique
+     index, not a unique constraint, and <literal>ON CONFLICT ON
+     CONSTRAINT</literal> cannot be used unless the corresponding
+     unique constraint is defined explicitly).
     </para>
    </tip>
 
-- 
2.1.4

